Subject: question-what I can do

From: [email-masked] (David Wang)
Date: Fri, 25 Feb 94 12:00:45 CST

Dear friends : 

I got green card under CSPA, but my wife and my daughter arrive
on 10/13/93 with H-4 visa. My priority date is 07/02/93
and the prove date of my application is  10/17/93. 

I go to Dallas INS office to apply permanent resident status for
my wife and my daughter on early January 1994. and the office
said:

1> no visa number is available for me so I cannot apply.
   (my priority date is 07/02/93 and the current priority date 
   at that time was 02/01/93). 
2> Because my application for permanent resident has been proved
   so my wife and daughter is out of status.
   (an immigration file issued in 08/01/93 said CSPA dependent will not
   be treated as out of status if the principle apply under CSPA,
   but did not say what happens after the principle's application
   is proved) 

I consulted a lawyer. She checked with some INS officer and 
said the status of my wife and daughter are not defined. If I want to know
what I can do I should pay her $200 more and she will talk to some INS
officer to find out. She also said I can apply I-130 which means my
wife and daughter have to wait for 2 years and half. I did not continue
to consult that lawyer because I feel she don't know much about CSPA.

Does anybody knows what I can do ?
Is there any new regulation on the status of later arrive dependent from INS after 08/01/93 ?
Can anybody recommed a better lawyer in Dallas area ? 
  
Thanks

David Wang
[email-masked]